<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en"
      xmlns:th="http://thymeleaf.org/"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <link rel="shortcut icon" type="image/png" th:href="@{favicon.png}"/>
    <meta charset="UTF-8" />
    <meta
            name="viewport"
            content="width=device-width, initial-scale=1, shrink-to-fit=no"
    />

    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"></script>
    <script src="/brisanjeValid" type="text/javascript"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"></script>

    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"></script>
    <link rel="canonical" href="https://getbootstrap.com/docs/5.0/examples/starter-template/">
    <script >function ocenaKnjige(){

        if (document.getElementById("ocena-1").checked == true)
        {
            alert("Ovoj knjizi ste dali ocenu 1!");}

        else if (document.getElementById("ocena-2").checked == true)
        {
            alert("Ovoj knjizi ste dali ocenu 2!")

        }
    else if (document.getElementById("ocena-3").checked == true)
        {
            alert("Ovoj knjizi ste dali ocenu 3!")

        }
        else if (document.getElementById("ocena-4").checked == true)
        {
            alert("Ovoj knjizi ste dali ocenu 4!")

        }
        else if (document.getElementById("ocena-5").checked == true)
        {
            alert("Ovoj knjizi ste dali ocenu 5!")

        }

        else{
            alert("Morate odabrati ocenu!");}



    }</script>


    <script>
        function uKorpu() {
            alert("Knjiga uspesno dodata u korpu!");
        }
    </script>

    <!-- Bootstrap core CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-giJF6kkoqNQ00vy+HMDP7azOuL0xtbfIcaT9wjKHr8RbDVddVHyTfAAsrekwKmP1" crossorigin="anonymous">
    <link rel="stylesheet" href="https://pro.fontawesome.com/releases/v5.10.0/css/all.css" integrity="sha384-AYmEC3Yw5cVb3ZcuHtOA93w35dYTsvhLPVnYs9eStHfGJvOvKxVfELGroGkvsg+p" crossorigin="anonymous"/>

    <link rel="stylesheet" th:href="@{/css/style.css}"/>





    <title>Knjizara RS</title>

    <script>
        $(".dropdown-toggle").dropdown();
    </script>


</head>
<body>
<div id="pzd">
    <nav id="navigacija" class="navbar nav-fill navbar-expand-md navbar-dark">
        <div class="container-fluid">
            <a class="navbar-brand" href="/">
                <img src="public/favicon.png" th:src="@{favicon.png}"  />
            </a>
            <button
                    class="navbar-toggler"
                    type="button"
                    data-bs-toggle="collapse"
                    data-bs-target="#navbarSupportedContent"
                    aria-controls="navbarSupportedContent"
                    aria-expanded="false"
                    aria-label="Toggle navigation"
            >
                <span class="navbar-light navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav me-auto mb-10 mb-lg-10">
                    <li class="nav-item">
                        <a
                                class="nav-link active"
                                aria-current="page"
                                href="/"
                        >Pocetna strana</a
                        >
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#">Kontakt</a>
                    </li>
                    <li class="nav-item" sec:authorize="isAnonymous()">
                        <a
                                class="nav-link"
                                href="/login"

                        >LOGIN</a
                        >
                    </li>
                    <li class="nav-item" sec:authorize="!isAnonymous()">
                        <a
                                class="nav-link"
                                href="/logout"

                        >Logout</a
                        >
                    </li>
                    <li class="nav-item" sec:authorize="hasRole('ROLE_ADMIN')">
                        <a
                                class="nav-link"
                                href="/knjige12"

                        >Knjige</a
                        >
                    </li>
                    <li class="nav-item" sec:authorize="hasRole('ROLE_ADMIN')">
                        <a
                                class="nav-link"
                                href="/korisnici"

                        >Korisnici</a
                        >
                    </li>
                </ul>
                <form class="d-flex justify-content-center">
                    <input
                            class="form-control me-2"
                            type="search"
                            placeholder="Pretraga knjiga"
                            aria-label="Search"
                    />
                    <button class="btn btn-outline-success" type="submit">
                        Pretraga
                    </button>
                </form>
                <a href="/korpa">
                    <img alt="W3Schools" src="https://cdn0.iconfinder.com/data/icons/minimal-set-seven/32/minimal-49-512.png" width="50;" height="50" />
                </a>
            </div>
        </div>
    </nav>
</header>
<div id="pozadina" class="container">

    <div class="container">
        <div class="row justify-content-start">
            <div class="col-3">
                <img
                        class="img-fluid"
                        th:src="@{${knjiga.slika}}"
                />
            </div>
            <div class="col-6">
                <h3 th:text="${knjiga.naziv}"></h3>


                <h6 th:text="${knjiga.autor}">Autor:</h6>

                <h3>Opis:</h3>

                <p th:text="${knjiga.opis}"></p>
                <h3>Jezik:</h3>
                <h5 th:text="${knjiga.jezik}"></h5>
                <h3>Godina izdavanja:</h3>
                <h5 th:text="${knjiga.godinaIzdavanja}"></h5>
                <h3>Izdavacka kuca:</h3>
                <h5 th:text="${knjiga.izdavackaKuca}"></h5>
                <h3>Jezik:</h3>
                <h5 th:text="${knjiga.jezik}"></h5>
            </div>
            <div
                    class="col-3 justify-content-xl-center"
                    style="
              border-left: 1%;
              border-right: 0;
              border-top: 0;
              border-bottom: 0;
              border-color: #a46f3c;
              border-style: solid;
            "
            >
                <h3>
                    Cena:
                    <h3 th:text="${knjiga.cena}" style="color: rgb(253, 55, 55)">1259rsd</h3>
                </h3>

                <button type="button" class="btn btn-outline-success" onclick="uKorpu()">
                    Dodaj u korpu
                </button>
            </div>
        </div>

        <div class="container" id="ocenaKnjige" sec:authorize="hasRole('ROLE_USER')">

            <br><br>
            <h4>Ocenite knjigu!</h4>

            <div class="star-widget">
                <input type="radio" name="ocena" id="ocena-5">
                <label for="ocena-5" class="fas fa-star"></label>
                <input type="radio" name="ocena" id="ocena-4">
                <label for="ocena-4" class="fas fa-star"></label>
                <input type="radio" name="ocena" id="ocena-3">
                <label for="ocena-3" class="fas fa-star"></label>
                <input type="radio" name="ocena" id="ocena-2">
                <label for="ocena-2" class="fas fa-star"></label>
                <input type="radio" name="ocena" id="ocena-1">
                <label for="ocena-1" class="fas fa-star"></label>
                <button type="submit" onclick="ocenaKnjige()" class="btn btn-info col-2"> OCENI </button>
            </div>
        </div>





    </div>
</div>
<div
        id="footer"
        class="container-fluid pb-0 mb-0 justify-content-center text-light"
>
    <footer>
        <div class="row my-5 justify-content-center py-5">
            <div class="col-11">
                <div class="row">
                    <div class="col-xl-8 col-md-4 col-sm-4 col-12 my-auto mx-auto a">
                        <h3 class="text-muted mb-md-0 mb-5 bold-text">Knjizara.rs</h3>
                    </div>
                    <div class="col-xl-2 col-md-4 col-sm-4 col-12"></div>
                    <div class="col-xl-2 col-md-4 col-sm-4 col-12">
                        <h6 class="mb-3 mb-lg-4 text-muted bold-text mt-sm-0 mt-5">
                            <b>ADDRESA</b>
                        </h6>
                        <p class="mb-1">SUPER TOP ODLICNA ADRESA 63,NOVI SAD</p>
                        <p>SRBIJA</p>
                    </div>
                </div>
                <div class="row">
                    <div
                            class="col-xl-8 col-md-4 col-sm-4 col-auto my-md-0 mt-5 order-sm-1 order-3 align-self-end"
                    >
                        <p class="social text-muted mb-0 pb-0 bold-text">
                  <span class="mx-2"
                  ><i class="fa fa-facebook" aria-hidden="true"></i>
                  </span>
                            <span class="mx-2"
                            ><i class="fa fa-linkedin-square" aria-hidden="true"></i>
                  </span>
                            <span class="mx-2"
                            ><i class="fa fa-twitter" aria-hidden="true"></i
                            ></span>
                            <span class="mx-2">
                    <i class="fa fa-instagram" aria-hidden="true"></i
                    ></span>
                        </p>
                        <small class="rights"
                        ><span>&#174; </span> Nebojsa,teskom mukom 2020.</small
                        >
                    </div>
                    <div
                            class="col-xl-2 col-md-4 col-sm-4 col-auto order-1 align-self-end"
                    >
                        <h6 class="mt-55 mt-2 text-muted bold-text">
                            <b>KONTAKT TELEFON</b>
                        </h6>
                        <small>
                            <span><i class="fa fa-envelope" aria-hidden="true"></i></span>
                            +38121025025 <br />
                            +38166213221</small
                        >
                    </div>
                    <div
                            class="col-xl-2 col-md-4 col-sm-4 col-auto order-2 align-self-end mt-3"
                    >
                        <h6 class="text-muted bold-text"><b>Zapratite nas na:</b></h6>
                        <small
                        ><span
                        ><i class="fa fa-envelope" aria-hidden="true"></i
                        ></span>
                            <a href="#">facebook.com/knjizarars</a> <br />
                            <a href="#">instagram.com/knjizaratop</a>
                        </small>
                    </div>
                </div>
            </div>
        </div>
    </footer>
</div>
</div>
</body>
</html>
